Bump scala-java8-compat_2.13 to 1.0.2 86/99286/2
authorRobert Varga <robert.varga@pantheon.tech>
Thu, 13 Jan 2022 10:23:18 +0000 (11:23 +0100)
committerRobert Varga <robert.varga@pantheon.tech>
Thu, 13 Jan 2022 10:33:45 +0000 (11:33 +0100)
Akka 2.6.16+ is using version 1.0.0, and they are binary compatible,
let's make sure we align to a newer version as well.

https://github.com/scala/scala-java8-compat/releases/tag/v1.0.0
https://github.com/scala/scala-java8-compat/releases/tag/v1.0.1
https://github.com/scala/scala-java8-compat/releases/tag/v1.0.2

Change-Id: I6c5f21c296dae9ca7236487e460755f0ef3e7622
Signed-off-by: Robert Varga <robert.varga@pantheon.tech>
bundle-parent/pom.xml
features/odl-controller-scala/src/main/history/dependencies.xml

index 520e0f9..d2d9e0c 100644 (file)
@@ -44,7 +44,7 @@
             <dependency>
                 <groupId>org.scala-lang.modules</groupId>
                 <artifactId>scala-java8-compat_2.13</artifactId>
-                <version>0.9.1</version>
+                <version>1.0.2</version>
             </dependency>
             <dependency>
                 <groupId>org.scala-lang.modules</groupId>
index e090f67..b4469d2 100644 (file)
@@ -1,7 +1,7 @@
 <?xml version="1.0" encoding="UTF-8" standalone="yes"?>
 <features xmlns="http://karaf.apache.org/xmlns/features/v1.6.0" name="odl-controller-scala">
     <feature version="0.0.0">
-        <bundle>mvn:org.scala-lang.modules/scala-java8-compat_2.13/0.9.1</bundle>
+        <bundle>mvn:org.scala-lang.modules/scala-java8-compat_2.13/1.0.2</bundle>
         <bundle>mvn:org.scala-lang.modules/scala-parser-combinators_2.13/1.1.2</bundle>
         <bundle>mvn:org.scala-lang/scala-library/2.13.8</bundle>
         <bundle>mvn:org.scala-lang/scala-reflect/2.13.8</bundle>